Page MenuHomePhabricator

[OMPT] Add testcases for thread_begin and thread_end callbacks
ClosedPublic

Authored by sconvent on Jun 6 2018, 6:50 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Jun 6 2018, 6:50 AM
hbae accepted this revision.Jun 15 2018, 1:35 PM

LGTM.

This revision is now accepted and ready to land.Jun 15 2018, 1:35 PM
This revision was automatically updated to reflect the committed changes.
protze.joachim added inline comments.Jul 3 2018, 12:54 PM
openmp/trunk/runtime/test/ompt/misc/threads_nested.c
14

@sconvent
This test fails sporadically, if a thread of one nested team is reused for the other nested team.
Please submit a follow-up patch which implements synchronization similar to the nested parallel test.